[pkg-db-devel] Bug#625484: libdb4.8: 'Build signature doesn't match environment' in 4.8.30-6

Laurens Blankers laurens at blankersfamily.com
Tue May 3 19:00:57 UTC 2011

Package: libdb4.8
Version: 4.8.30-4
Severity: critical
Justification: breaks the whole system

When upgrading libdb4.8 from version 4.8.30-4 to 4.8.30-6 slapd fails to start. Executing
e.g. slapcat returns the following error:

--- BEGIN ---
# slapcat
bdb(dc=blankersfamily,dc=com): Build signature doesn't match environment
bdb_db_open: database "dc=blankersfamily,dc=com" cannot be opened, err -30971. Restore from backup!
backend_startup_one (type=bdb, suffix="dc=blankersfamily,dc=com"): bi_db_open failed! (-30971)
slap_startup failed
--- END ---

Because my systems relies on LDAP for user authentication this makes the entire system
unusable (hence the critical).

Downgrading to 4.8.30-4 makes slapd and slapcat work again.

A quick fix would be greatly appreciated,


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libdb4.8 depends on:
ii  libc6                         2.11.2-11  Embedded GNU C Library: Shared lib

libdb4.8 recommends no packages.

libdb4.8 suggests no packages.

-- no debconf information

More information about the pkg-db-devel mailing list